> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Secrets

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /user/codespaces/secrets`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#list-secrets-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - List secrets for the authenticated user
* [`GET /user/codespaces/secrets/{secret_name}`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#get-a-secret-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Get a secret for the authenticated user
* [`PUT /user/codespaces/secrets/{secret_name}`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#create-or-update-a-secret-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Create or update a secret for the authenticated user
* [`DELETE /user/codespaces/secrets/{secret_name}`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#delete-a-secret-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Delete a secret for the authenticated user
* [`GET /user/codespaces/secrets/{secret_name}/repositories`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#list-selected-repositories-for-a-user-secret) <Badge color="blue" size="sm">UAT</Badge> - List selected repositories for a user secret
* [`PUT /user/codespaces/secrets/{secret_name}/repositories`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#set-selected-repositories-for-a-user-secret) <Badge color="blue" size="sm">UAT</Badge> - Set selected repositories for a user secret
* [`PUT /user/codespaces/secrets/{secret_name}/repositories/{repository_id}`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#add-a-selected-repository-to-a-user-secret) <Badge color="blue" size="sm">UAT</Badge> - Add a selected repository to a user secret
* [`DELETE /user/codespaces/secrets/{secret_name}/repositories/{repository_id}`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#remove-a-selected-repository-from-a-user-secret) <Badge color="blue" size="sm">UAT</Badge> - Remove a selected repository from a user secret
* [`GET /user/codespaces/secrets/public-key`](https://docs.github.com/enterprise-cloud@latest/rest/codespaces/secrets#get-public-key-for-the-authenticated-user) <Badge color="blue" size="sm">UAT</Badge> - Get public key for the authenticated user
